Kirjoittaja Aihe: Mplayerin graafinen liittymä ei toimi (ratkaistu)  (Luettu 960 kertaa)

Reksa

  • Käyttäjä
  • Viestejä: 45
    • Profiili
En ole saanut Mplayerin graafista liittymää toimimaan millään jakelulla (Ubuntu 18, 16 ja Mint 19), aina tulee sama virheilmoitus... (kts. liitekuva). Toimiiko tuo kellään muulla? Mplayer sinänsä toimii,  jos käynnistää sen päätteestä. Samoin tuo virheilmoituksen mainitsema "main" kuvatiedosto avautuu, jos sen kaivaa esille tiedostohallinnan kautta.
« Viimeksi muokattu: 31.10.20 - klo:19.41 kirjoittanut Reksa »

nm

  • Käyttäjä
  • Viestejä: 13997
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #1 : 29.10.20 - klo:21.15 »
Tiedostot ovat ilmeisesti aavistuksen väärässä formaatissa: https://askubuntu.com/a/1030026
Eli ImageMagickilla voi kokeilla tällaista muunnosta:
 
Koodia: [Valitse]
cd /usr/share/mplayer/skins/default
for FILE in *.png ; do sudo convert $FILE -define png:format=png24 $FILE ; done


Mutta tuo MPlayerin oma graafinen käyttöliittymä ei ehkä ole kovin käyttökelpoinen. SMPlayer on parempi, tai MPV, joka pohjautuu osittain MPlayeriin.

Reksa

  • Käyttäjä
  • Viestejä: 45
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #2 : 30.10.20 - klo:14.53 »
Tiedostot ovat ilmeisesti aavistuksen väärässä formaatissa: https://askubuntu.com/a/1030026
Eli ImageMagickilla voi kokeilla tällaista muunnosta:
 
Koodia: [Valitse]
cd /usr/share/mplayer/skins/default
for FILE in *.png ; do sudo convert $FILE -define png:format=png24 $FILE ; done


Mutta tuo MPlayerin oma graafinen käyttöliittymä ei ehkä ole kovin käyttökelpoinen. SMPlayer on parempi, tai MPV, joka pohjautuu osittain MPlayeriin.

Kiitos, tuo korjasi käyttöliittymän ongelman! Mutta muuten... En saanut millään vaihtoehdolla lainkaan käynnistymään kokeilemaani DVD-elokuvalevyä. VLC:llä sai sentään elokuvan alkulogon esille, mutta siitä eteenpäin ei päässyt.

Samassa koneessa MacOS:llä ja DVD-playerilla sujui aivan ongelmitta, ja pääsi elokuvan alkuvalikoihinkin. Eli huonossa jamassa ovat näköjään Linuxin videosoftat...

nm

  • Käyttäjä
  • Viestejä: 13997
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #3 : 30.10.20 - klo:15.12 »
En saanut millään vaihtoehdolla lainkaan käynnistymään kokeilemaani DVD-elokuvalevyä. VLC:llä sai sentään elokuvan alkulogon esille, mutta siitä eteenpäin ei päässyt.

Tarvitset salauksenpurkuun libdvd-pkg:n. Asenna päätteessä komennoilla:

Koodia: [Valitse]
sudo apt install libdvd-pkg
Koodia: [Valitse]
sudo dpkg-reconfigure libdvd-pkg

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 467
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #4 : 30.10.20 - klo:16.37 »
Eli huonossa jamassa ovat näköjään Linuxin videosoftat...
libdvd-pkg asentaa koneelle palikan, joka purkaa DVD-levyjen salauksen.
Asiasta lisää.... https://www.linux.fi/wiki/DVD-elokuvat
DVD-elokuvalevyillä on käytössä CSS-suojaus, jolla pyritään estämään levyjen luvatonta kopiointia. Nykymittapuun mukaan suojaus ei ole teknisesti järin tehokas, mutta se aiheuttaa jonkin verran ongelmia Linuxin kanssa lainsäädännön takia: salauksen purkamiseen vaadittavaa kirjastoa ei uskalleta levittää jakeluiden mukana, sillä se rikkoo useiden maiden tekijänoikeuslainsäädäntöä.
Kaupalliset käyttöjärjestelmät voivat hankkia oikeuden käyttää suojauksen purkuun käytettäviä lisäpalikoita.

Jtkone

  • Käyttäjä
  • Viestejä: 725
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #5 : 30.10.20 - klo:17.21 »
Kiitos Juyli.
Mietinkin ko. asiaa l. jotakin tässä oli, mutta juuri noinhan se oli.
Tosin eipä ole enää aikoihin ollut koneilla cd/dvd- soitinta vaikkakin hommasin muihin asioihin ulkoisenlevyn.

Reksa

  • Käyttäjä
  • Viestejä: 45
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #6 : 30.10.20 - klo:17.57 »

Tarvitset salauksenpurkuun libdvd-pkg:n. Asenna päätteessä komennoilla:

Koodia: [Valitse]
sudo apt install libdvd-pkg
Koodia: [Valitse]
sudo dpkg-reconfigure libdvd-pkg

Tuo ei toiminut... Tuli tällainen virheilmoitus:

~$ sudo apt install libdvd-pkg
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
Joitakin paketteja ei voitu asentaa. On ehkä vaadittu mahdottomia tai,
jos käytetään epävakaata jakelua, joitain vaadittuja paketteja ei ole
vielä luotu tai siirretty Incoming-kansiosta.
Seuraavista tiedoista voi olla hyötyä selvitettäessä tilannetta:

Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 libdvd-pkg : Riippuvuudet: build-essential mutta ei ole merkitty asennettavaksi
              Riippuvuudet: debhelper (>= 9) mutta ei ole merkitty asennettavaksi
              Riippuvuudet: dh-autoreconf mutta ei ole merkitty asennettavaksi
E: Pulmia ei voi korjata, rikkinäisiä paketteja on pysytetty.

Kokeilin tuon jälkeen myös Synapticin kautta, mutta sekään ei pystynyt tekemään asennusta, vaan käski ensin poistamaan rikkinäiset paketit. Mutta sekään ei onnistunut:

E: Pulmia ei voi korjata, rikkinäisiä paketteja on pysytetty.
E: Virhe, pkgProblemResolver::Resolve tuotti katkoja, syynä voi olla pysytetyt paketit.
E: Virhe korjattaessa riippuvuuksia
E: Virhe, pkgProblemResolver::Resolve tuotti katkoja, syynä voi olla pysytetyt paketit.
E: Virhe korjattaessa riippuvuuksia

PS. Kokeilin toisella jakelulla ja asennus suoraan Synaptcin kautta toimi! Eli asia olisi pitänyt tehdä alun alkaen sitä kautta eikä päätteellä... Mutta miten tämän syntyneen sotkun saa nyt siivottua Ubuntu 18:sta?!
« Viimeksi muokattu: 30.10.20 - klo:18.19 kirjoittanut Reksa »

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 467
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #7 : 30.10.20 - klo:18.52 »
PS. Kokeilin toisella jakelulla ja asennus suoraan Synaptcin kautta toimi! Eli asia olisi pitänyt tehdä alun alkaen sitä kautta eikä päätteellä... Mutta miten tämän syntyneen sotkun saa nyt siivottua Ubuntu 18:sta?!
On huomattava, että tarvittavat ohjelmavarastot on otettu käyttöön.  Ko. paketti on asennettavissa multiverse-hakemistosta:
https://packages.ubuntu.com/search?keywords=libdvd-pkg&searchon=names&suite=bionic&section=all
Paketti libdvd-pkg
    bionic (18.04LTS) (utils): DVD-Video playing library - installer [multiverse]

Huom. tuo on siis installer, joka asentaa ko. kirjaston järjestelmään. Riippuvuuksia siis tarvitaan tiedoston asentamiseksi.
PS. Synaptic on vain graafinen kilke, joka käyttää ohjelmaa apt (apt-get).
Grafiikka vain helpottaa niitä, jotka eivät osaa käyttää komentoriviä. Uugh - olen puhunut  ;)

Reksa

  • Käyttäjä
  • Viestejä: 45
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #8 : 30.10.20 - klo:20.58 »

On huomattava, että tarvittavat ohjelmavarastot on otettu käyttöön.  Ko. paketti on asennettavissa multiverse-hakemistosta:
https://packages.ubuntu.com/search?keywords=libdvd-pkg&searchon=names&suite=bionic&section=all
Paketti libdvd-pkg
    bionic (18.04LTS) (utils): DVD-Video playing library - installer [multiverse]

Huom. tuo on siis installer, joka asentaa ko. kirjaston järjestelmään. Riippuvuuksia siis tarvitaan tiedoston asentamiseksi.
PS. Synaptic on vain graafinen kilke, joka käyttää ohjelmaa apt (apt-get).
Grafiikka vain helpottaa niitä, jotka eivät osaa käyttää komentoriviä. Uugh - olen puhunut  ;)

Tarkistin 'Ohjelmistot ja päivitykset' -asetuksista että 'Tekijänoikeus- ja lakiasioilla rajoitetut ohjelmistot (multiverse) on kyllä valittuna. Vika siis jossain muualla...?


juyli

  • Käyttäjä / moderaattori
  • Viestejä: 467
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #9 : 30.10.20 - klo:22.17 »
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 libdvd-pkg : Riippuvuudet: build-essential mutta ei ole merkitty asennettavaksi
              Riippuvuudet: debhelper (>= 9) mutta ei ole merkitty asennettavaksi
              Riippuvuudet: dh-autoreconf mutta ei ole merkitty asennettavaksi
E: Pulmia ei voi korjata, rikkinäisiä paketteja on pysytetty.
Tuossapa tuo selkeä virheilmoitus.
Nuo riippuvuudet ovat välttämättömiä.
https://packages.ubuntu.com/bionic/libdvd-pkg
Poista edellinen asennusyrityksesi. Ja tarkista, että ohjelmalähteissäsi on mukana myös universe-repo.

PS. Ubuntu Bionic 18.04 LTS jää tauolle.... Päivitys uudempaan LTS-versioon (ja jopa asennus) voisi kannattaa...
(Eihän jakelusi ole vain 32-bittinen? Tuolloin voisit unohtaa moninaisia ohjelmia, jotka jäänevät tauolle myös ko. järjestelmässä).
PPS. Mac ja IBM-PC ovat melkoisen erilaisia konekokoonpanoja. Välttämättä ongelmat ei ole samanlaisia eri arkkitehtuureissa.
PPPS. Vaikka aiemmin tarjotuissani linkeissä väitetäänkin VLC:n sisäänrakennettuna olevan tarvittavia palikoita, se ei mielestäni
pidä paikkaansa. Tarvittavat dvd:n lukemiseen tarvitaan asennettavaksi ko. koodekit. Muuten VLC on hyvä. jos ei suorastaan
erinomainen mm. DVD-elokuvien katseluohjelma. Mutta toki Linux/Unix -jakeluihin on muitakin erinomaisia ohjelmia ko.
käyttöön.
« Viimeksi muokattu: 30.10.20 - klo:22.26 kirjoittanut juyli »

Reksa

  • Käyttäjä
  • Viestejä: 45
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #10 : 31.10.20 - klo:09.43 »

Tuossapa tuo selkeä virheilmoitus.
Nuo riippuvuudet ovat välttämättömiä.
https://packages.ubuntu.com/bionic/libdvd-pkg
Poista edellinen asennusyrityksesi. Ja tarkista, että ohjelmalähteissäsi on mukana myös universe-repo.

Miten tuo asennusyrityksen poisto käytännössä tapahtuu? Ainakaan aptin 'remove' komento ei purrut, ei löytänyt  poistettavaa... Ohjelmalähteistä ovat koko ajan olleet valittuina "main, universe, restricted ja multiverse".
« Viimeksi muokattu: 31.10.20 - klo:15.39 kirjoittanut Reksa »

nm

  • Käyttäjä
  • Viestejä: 13997
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #11 : 31.10.20 - klo:10.13 »
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 libdvd-pkg : Riippuvuudet: build-essential mutta ei ole merkitty asennettavaksi
              Riippuvuudet: debhelper (>= 9) mutta ei ole merkitty asennettavaksi
              Riippuvuudet: dh-autoreconf mutta ei ole merkitty asennettavaksi
E: Pulmia ei voi korjata, rikkinäisiä paketteja on pysytetty.

Hmm. Aika erikoista, että noiden peruspakettien kanssa ilmenee riippuvuusongelmia. Veikkaan, että johtuu jostain kolmannen osapuolen ohjelmalähteestä, mutta tutkitaanpa. Mitä sanoo:

Koodia: [Valitse]
sudo apt install debhelper
Entä:
Koodia: [Valitse]
apt-cache policy debhelper

PS. Kokeilin toisella jakelulla ja asennus suoraan Synaptcin kautta toimi! Eli asia olisi pitänyt tehdä alun alkaen sitä kautta eikä päätteellä...

Ei johdu siitä. Komentorivi-apt ei sotke riippuvuuksia sen enempää kuin Synaptic.

Vika on järjestelmään lisätyissä epävirallisissa ohjelmalähteissä tai mahdollisesti jakelupäivityksen jäljiltä jääneissä ristiriidoissa.

Reksa

  • Käyttäjä
  • Viestejä: 45
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #12 : 31.10.20 - klo:15.32 »

Hmm. Aika erikoista, että noiden peruspakettien kanssa ilmenee riippuvuusongelmia. Veikkaan, että johtuu jostain kolmannen osapuolen ohjelmalähteestä, mutta tutkitaanpa. Mitä sanoo:

Koodia: [Valitse]
sudo apt install debhelper
Entä:
Koodia: [Valitse]
apt-cache policy debhelper

Tällaiset tulokset sain:

~$ sudo apt install debhelper
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
Joitakin paketteja ei voitu asentaa. On ehkä vaadittu mahdottomia tai,
jos käytetään epävakaata jakelua, joitain vaadittuja paketteja ei ole
vielä luotu tai siirretty Incoming-kansiosta.
Seuraavista tiedoista voi olla hyötyä selvitettäessä tilannetta:

Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 debhelper : Riippuvuudet: dh-autoreconf (>= 17~) mutta ei ole merkitty asennettavaksi
             Riippuvuudet: dpkg-dev (>= 1.19.0.5~) mutta ei ole merkitty asennettavaksi
E: Pulmia ei voi korjata, rikkinäisiä paketteja on pysytetty.


~$ apt-cache policy debhelper
debhelper:
  Asennettu: (ei mitään)
  Ehdokas:   11.1.6ubuntu1
  Versiotaulukko:
     11.1.6ubuntu1 500
        500 http://fi.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        500 http://fi.archive.ubuntu.com/ubuntu bionic/main i386 Packages

nm

  • Käyttäjä
  • Viestejä: 13997
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi
« Vastaus #13 : 31.10.20 - klo:16.38 »
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 debhelper : Riippuvuudet: dh-autoreconf (>= 17~) mutta ei ole merkitty asennettavaksi
             Riippuvuudet: dpkg-dev (>= 1.19.0.5~) mutta ei ole merkitty asennettavaksi
E: Pulmia ei voi korjata, rikkinäisiä paketteja on pysytetty.

OK, tämä ei vielä paljasta juurisyytä, eli täytyy seurata riippuvuusketjua pidemmälle. Mitä dpkg-dev-paketin asennusyritys kertoo:

Koodia: [Valitse]
sudo apt install dpkg-dev

~$ apt-cache policy debhelper
debhelper:
  Asennettu: (ei mitään)
  Ehdokas:   11.1.6ubuntu1
  Versiotaulukko:
     11.1.6ubuntu1 500
        500 http://fi.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        500 http://fi.archive.ubuntu.com/ubuntu bionic/main i386 Packages

bionic-updates taitaa puuttua. Tarkista Ohjelmistot ja päivitykset -asetuksista, Päivitykset-välilehdeltä, että Suositellut päivitykset (bionic-updates) on valittu käyttöön.

Päivitä sitten pakettilistat:

Koodia: [Valitse]
sudo apt update
Tämän apt update -komennon antama listaus voisi olla myös avuksi ongelman selvittelyssä.


Tarkista, että debhelperin versio 11.1.6ubuntu2 on tarjolla:

Koodia: [Valitse]
apt-cache policy debhelper
Listauksessa pitäisi näkyä bionic-updates:
Lainaus
debhelper:
  Asennettu: 11.1.6ubuntu2
  Ehdokas:   11.1.6ubuntu2
  Versiotaulukko:
     12.1.1ubuntu1~ubuntu18.04.1 100
        100 http://fi.archive.ubuntu.com/ubuntu bionic-backports/main amd64 Packages
        100 http://fi.archive.ubuntu.com/ubuntu bionic-backports/main i386 Packages
 *** 11.1.6ubuntu2 500
        500 http://fi.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
        500 http://fi.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages
        100 /var/lib/dpkg/status
     11.1.6ubuntu1 500
        500 http://fi.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        500 http://fi.archive.ubuntu.com/ubuntu bionic/main i386 Packages
« Viimeksi muokattu: 31.10.20 - klo:16.41 kirjoittanut nm »

Reksa

  • Käyttäjä
  • Viestejä: 45
    • Profiili
Vs: Mplayerin graafinen liittymä ei toimi (ratkaistu)
« Vastaus #14 : 31.10.20 - klo:19.41 »
bionic-updates taitaa puuttua. Tarkista Ohjelmistot ja päivitykset -asetuksista, Päivitykset-välilehdeltä, että Suositellut päivitykset (bionic-updates) on valittu käyttöön.

Tästä se tosiaan oli kiinni! Kun bionic-updatesin laittoi päälle, asennus onnistui täysin ongelmitta. En tiedä miksi tuo oli minulla pois päältä, olen ehkä kokeillut jotakin ja unohtanut laittaa sen takaisin... Kiitoksia kovasti avusta !-)